Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent
Class RepoQuery

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoQuery

All Implemented Interfaces:
  IdedObject

    public class RepoQuery

extends RepoResource

Version:
  $Id: RepoQuery.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`RepoQuery()`

Method Summary
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`protected java.lang.Class` | `getClientItf()`
`RepoResource` | `getDataSource()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getSql()`
`void` | `setDataSource(RepoResource dataSource)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setSql(java.lang.String sql)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
`addNewChild, copyFromClient, equals, filterChildren, getChildrenFolder, getClientReference, getReference, getReference, hashCode, initNewChildren, setChildrenFolder, toClient, toClientLookup, toString`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getCreationDate, getDescription, getId, getLabel, getName, getParent, getResourceURI, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoQuery

    public RepoQuery()

Method Detail

### getDataSource

    public RepoResource getDataSource()

### setDataSource

    public void setDataSource(RepoResource dataSource)

### getSql

    public java.lang.String getSql()

### setSql

    public void setSql(java.lang.String sql)

### getClientItf

    protected java.lang.Class getClientItf()

  Specified by:
    `getClientItf` in class `RepoResourceBase`

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

  Overrides:
    `copyFrom` in class `RepoResource`

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

  Overrides:
    `copyTo` in class `RepoResource`

### getLanguage

    public java.lang.String getLanguage()

### setLanguage

    public void setLanguage(java.lang.String language)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.